import React, { useState, useRef, useEffect, useMemo } from "react";
import {
    TextInput,
    BooleanInput,
    FormDataConsumer,
} from 'react-admin';
import { useWatch, useFormContext } from "react-hook-form";

const MemoInput = (props) => {
    // const memoWrap = useWatch({ name: 'memoWrap' });

    return (
        <>
            <BooleanInput label="common.field.memoWrap" source="memoWrap" />
            <FormDataConsumer>
                {({ formData }) =>
                    formData.memoWrap ? (
                        <TextInput
                            label="common.field.memo"
                            source="memo"
                            parse={v => v}
                            fullWidth
                            multiline
                            minRows={2}
                            autoFocus
                            {...props}
                        />
                    ) : null
                }
            </FormDataConsumer>
        </>
    )
}

export default MemoInput;